# Lib.AspNetCore.ServerSentEvents
[![NuGet Version](https://img.shields.io/nuget/v/Lib.AspNetCore.ServerSentEvents?label=Lib.AspNetCore.ServerSentEvents&logo=nuget)](https://www.nuget.org/packages/Lib.AspNetCore.ServerSentEvents)
[![NuGet Downloads](https://img.shields.io/nuget/dt/Lib.AspNetCore.ServerSentEvents?label=⭳)](https://www.nuget.org/packages/Lib.AspNetCore.ServerSentEvents)

Lib.AspNetCore.ServerSentEvents is a library which provides Server-Sent Events (SSE) support for ASP.NET Core.

## Installing

You can install [Lib.AspNetCore.ServerSentEvents](https://www.nuget.org/packages/Lib.AspNetCore.ServerSentEvents/) from NuGet.

```
PM>  Install-Package Lib.AspNetCore.ServerSentEvents
```

## Documentation

The documentation is available [here](https://tpeczek.github.io/Lib.AspNetCore.ServerSentEvents/).

## Demos

There is a demo project available [here](https://github.com/tpeczek/Demo.AspNetCore.ServerSentEvents).

## Additional Resources

There are some blog posts available which describe implementation details and some interesting scenarios:

- [Server-Sent Events (SSE) support for ASP.NET Core](https://www.tpeczek.com/2017/02/server-sent-events-sse-support-for.html)
- [Server-Sent Events (or WebSockets) broadcasting in load balancing scenario with Redis](https://www.tpeczek.com/2017/09/server-sent-events-or-websockets.html)
- [Server-Sent Events and ASP.NET Core - You may need keep alives](https://www.tpeczek.com/2018/08/server-sent-events-and-aspnet-core-you_9.html)
- [Server-Sent Events and ASP.NET Core - Disconnecting a Client](https://www.tpeczek.com/2021/11/server-sent-events-and-aspnet-core.html)

## Sponsor This Project

My blog and open source projects are result of my passion for software development, but they require a fair amount of my personal time. If you got value from any of the content I create, then I would appreciate your support by [sponsoring me](https://github.com/sponsors/tpeczek) (either monthly or one-time).

## Copyright and License

Copyright © 2017 - 2023 Tomasz Pęczek

Licensed under the [MIT License](https://github.com/tpeczek/Lib.AspNetCore.ServerSentEvents/blob/master/LICENSE.md)
